Package com.orchestranetworks.ui.form.widget

# Interface UIAtomicWithEnumerationItem

All Superinterfaces:
  `UIAtomicWidget`, `UIAtomicWithEnumeration`, `UIWidget`

All Known Subinterfaces:
  `UICheckBox`, `UIRadioButton`

public interface UIAtomicWithEnumerationItem extends UIAtomicWithEnumeration
This interface represents an item in the parent interface `UIAtomicWithEnumeration`, which corresponds to an index in the enumeration.

Since:
  5.4.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  Returns the index for this enumeration item.
  `boolean`
  `isLabelEnabled()`
  Returns `true` if the item label is to be added next to the component, otherwise `false`.
  `void`
  `setIndex(int index)`
  Sets the index for this enumeration item.
  `void`
  `setLabelEnabled(boolean isEnabled)`
  Sets whether the item label is to be added next to the component.

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWidget

  `getActionOnAfterValueChanged, isAjaxPrevalidationEnabled, isAjaxValueSynchEnabled, setActionOnAfterValueChanged, setAjaxPrevalidationEnabled, setAjaxValueSynchEnabled`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIAtomicWithEnumeration

  `getSpecificNomenclature, setSpecificNomenclature`

  ### Methods inherited from interface com.orchestranetworks.ui.form.widget.UIWidget

  `isEditorDisabled, setEditorDisabled`

- ## Method Details

  - ### getIndex

    int getIndex()
    Returns the index for this enumeration item.

  - ### isLabelEnabled

    boolean isLabelEnabled()
    Returns `true` if the item label is to be added next to the component, otherwise `false`.

  - ### setIndex

    void setIndex(int index)
    Sets the index for this enumeration item.

    Default value is `0`.

    Parameters:
      `index` - the index to use for this enumeration item.

  - ### setLabelEnabled

    void setLabelEnabled(boolean isEnabled)
    Sets whether the item label is to be added next to the component.

    The label is the formatted value of the enumeration at the specified index. Clicking on the label selects the component, and thus the value corresponding to the index.

    Default value is `false`.

    Parameters:
      `isEnabled` - enables the label of the value beside the component.